storage
=======

.. automodule:: translate.storage
   :show-inheritance:


base
----

.. automodule:: translate.storage.base
   :members:
   :inherited-members:


benchmark
---------

.. automodule:: translate.storage.benchmark
   :members:
   :inherited-members:


bundleprojstore
---------------

.. automodule:: translate.storage.bundleprojstore
   :members:
   :inherited-members:


catkeys
-------

.. automodule:: translate.storage.catkeys
   :members:
   :inherited-members:


cpo
---

.. automodule:: translate.storage.cpo
   :members:
   :inherited-members:


csvl10n
-------

.. automodule:: translate.storage.csvl10n
   :members:
   :inherited-members:


directory
---------

.. automodule:: translate.storage.directory
   :members:
   :inherited-members:


dtd
---

.. automodule:: translate.storage.dtd
   :members:
   :inherited-members:


_factory_classes
----------------

.. automodule:: translate.storage._factory_classes
   :members:
   :inherited-members:


factory
-------

.. automodule:: translate.storage.factory
   :members:
   :inherited-members:


fpo
---

.. automodule:: translate.storage.fpo
   :members:
   :inherited-members:


html
----

.. automodule:: translate.storage.html
   :members:
   :inherited-members:


ical
----

.. automodule:: translate.storage.ical
   :members:
   :inherited-members:


ini
---

.. automodule:: translate.storage.ini
   :members:
   :inherited-members:


jsonl10n
--------

.. automodule:: translate.storage.jsonl10n
   :members:
   :inherited-members:


lisa
----

.. automodule:: translate.storage.lisa
   :members:
   :inherited-members:


markdown
--------

.. automodule:: translate.storage.markdown
   :members:
   :inherited-members:


mo
--

.. automodule:: translate.storage.mo
   :members:
   :inherited-members:


mozilla_lang
------------

.. automodule:: translate.storage.mozilla_lang
   :members:
   :inherited-members:


odf_io
------

.. automodule:: translate.storage.odf_io
   :members:
   :inherited-members:


odf_shared
----------

.. automodule:: translate.storage.odf_shared
   :members:
   :inherited-members:


omegat
------

.. automodule:: translate.storage.omegat
   :members:
   :inherited-members:


oo
--

.. automodule:: translate.storage.oo
   :members:
   :inherited-members:


placeables
----------

.. automodule:: translate.storage.placeables
   :show-inheritance:


base
~~~~

.. automodule:: translate.storage.placeables.base
   :members:
   :inherited-members:


general
~~~~~~~

.. automodule:: translate.storage.placeables.general
   :members:
   :inherited-members:


interfaces
~~~~~~~~~~

.. automodule:: translate.storage.placeables.interfaces
   :members:
   :inherited-members:


lisa
~~~~

.. automodule:: translate.storage.placeables.lisa
   :members:
   :inherited-members:


parse
~~~~~

.. automodule:: translate.storage.placeables.parse
   :members:
   :inherited-members:


strelem
~~~~~~~

.. automodule:: translate.storage.placeables.strelem
   :members:
   :inherited-members:


terminology
~~~~~~~~~~~

.. automodule:: translate.storage.placeables.terminology
   :members:
   :inherited-members:


xliff
~~~~~

.. automodule:: translate.storage.placeables.xliff
   :members:
   :inherited-members:


php
---

.. automodule:: translate.storage.php
   :members:
   :inherited-members:


pocommon
--------

.. automodule:: translate.storage.pocommon
   :members:
   :inherited-members:


poheader
--------

.. automodule:: translate.storage.poheader
   :members:
   :inherited-members:


poparser
--------

.. automodule:: translate.storage.poparser
   :members:
   :inherited-members:


po
--

.. automodule:: translate.storage.po
   :members:
   :inherited-members:


poxliff
-------

.. automodule:: translate.storage.poxliff
   :members:
   :inherited-members:


project
-------

.. automodule:: translate.storage.project
   :members:
   :inherited-members:


projstore
---------

.. automodule:: translate.storage.projstore
   :members:
   :inherited-members:


properties
----------

.. automodule:: translate.storage.properties
   :members:
   :inherited-members:


pypo
----

.. automodule:: translate.storage.pypo
   :members:
   :inherited-members:


qm
--

.. automodule:: translate.storage.qm
   :members:
   :inherited-members:


qph
---

.. automodule:: translate.storage.qph
   :members:
   :inherited-members:


rc
--

.. automodule:: translate.storage.rc
   :members:
   :inherited-members:


statistics
----------

.. automodule:: translate.storage.statistics
   :members:
   :inherited-members:


subtitles
---------

.. automodule:: translate.storage.subtitles
   :members:
   :inherited-members:


symbian
-------

.. automodule:: translate.storage.symbian
   :members:
   :inherited-members:


tbx
---

.. automodule:: translate.storage.tbx
   :members:
   :inherited-members:


tiki
----

.. automodule:: translate.storage.tiki
   :members:
   :inherited-members:


tmdb
----

.. automodule:: translate.storage.tmdb
   :members:
   :inherited-members:


tmx
---

.. automodule:: translate.storage.tmx
   :members:
   :inherited-members:


trados
------

.. automodule:: translate.storage.trados
   :members:
   :inherited-members:


ts2
---

.. automodule:: translate.storage.ts2
   :members:
   :inherited-members:


ts
--

.. automodule:: translate.storage.ts
   :members:
   :inherited-members:
   :deprecated:


txt
---

.. automodule:: translate.storage.txt
   :members:
   :inherited-members:


utx
---

.. automodule:: translate.storage.utx
   :members:
   :inherited-members:


wordfast
--------

.. automodule:: translate.storage.wordfast
   :members:
   :inherited-members:


workflow
--------

.. automodule:: translate.storage.workflow
   :members:
   :inherited-members:


xliff
-----

.. automodule:: translate.storage.xliff
   :members:
   :inherited-members:


xml_extract
-----------

.. automodule:: translate.storage.xml_extract
   :show-inheritance:


extract
~~~~~~~

.. automodule:: translate.storage.xml_extract.extract
   :members:
   :inherited-members:


generate
~~~~~~~~

.. automodule:: translate.storage.xml_extract.generate
   :members:
   :inherited-members:


misc
~~~~

.. automodule:: translate.storage.xml_extract.misc
   :members:
   :inherited-members:


unit_tree
~~~~~~~~~

.. automodule:: translate.storage.xml_extract.unit_tree
   :members:
   :inherited-members:


xpath_breadcrumb
~~~~~~~~~~~~~~~~

.. automodule:: translate.storage.xml_extract.xpath_breadcrumb
   :members:
   :inherited-members:


xml_name
--------

.. automodule:: translate.storage.xml_name
   :members:
   :inherited-members:


zip
---

.. automodule:: translate.storage.zip
   :members:
   :inherited-members:
